• Introducing Dark Mode! Switch by clicking on the lightbulb icon next to Search or by clicking on Default style at the bottom left of the page!

Server Manager Agent 9.2.1 on IBM i V7R1 Issue (Resolved)

Tom_Davidson

VIP Member
If you are on an IBM i, and install SM Agent 9.2.1 be aware there is an issue regarding a Java 1.7.

The issue is that the SM Agent requires java 1.7 and this is not normally part of the normal V7R1 install, the agent updates but will not start and leaves no logs to give you a hint.

The requirement for Java 1.7 is NOT shown in the Certifications.

The fix is Install java 1.7, then change the runAgent script to use the new java.

The info for getting java 1.7 can be found here: http://www.ibm.com/support/knowledgecenter/ssw_ibm_i_71/rzaha/multjdk.htm

There is a new Oracle doc (or maybe they just updated it) to change the runAgent: Doc ID 2206269.1

I have not put in the tools release yet and won't until after January (Freeze for year end), but I suspect that it also has the same dependency as SM.

Hope this helps others who may run into this.

Tom
 

JDEE1Tips

Well Known Member
If you are on an IBM i, and install SM Agent 9.2.1 be aware there is an issue regarding a Java 1.7.

The issue is that the SM Agent requires java 1.7 and this is not normally part of the normal V7R1 install, the agent updates but will not start and leaves no logs to give you a hint.

The requirement for Java 1.7 is NOT shown in the Certifications.

The fix is Install java 1.7, then change the runAgent script to use the new java.

The info for getting java 1.7 can be found here: http://www.ibm.com/support/knowledgecenter/ssw_ibm_i_71/rzaha/multjdk.htm

There is a new Oracle doc (or maybe they just updated it) to change the runAgent: Doc ID 2206269.1

I have not put in the tools release yet and won't until after January (Freeze for year end), but I suspect that it also has the same dependency as SM.

Hope this helps others who may run into this.

Tom
Good information !
 

altquark

Legendary Poster
Tom - beware of the dot zero Tools Releases. Wait until 9.2.1.2 until you install into a live development environment.
 

Tom_Davidson

VIP Member
Jon,

We won't be going 'Live' for at least 6 months. We won't even start using this instance until March probably. I figured I'd use it as a learning experience. Otherwise I'm with you.

Hope you have a good Holiday.

Tom
 
Top